Blog Mod Weblog_posting.PHP SQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110168 漏洞类型 SQL注入
发布时间 2006-04-29 更新时间 2006-05-02
CVE编号 CVE-2006-2127 CNNVD-ID CNNVD-200605-002
漏洞平台 PHP CVSS评分 6.4
|漏洞来源
https://www.exploit-db.com/exploits/27770
https://cxsecurity.com/issue/WLB-2006050007
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-002
|漏洞详情
BlogMod0.2.x的weblog_posting.php存在SQL注入漏洞,远程攻击者可通过r参数执行任意SQL命令。
|漏洞EXP
source: http://www.securityfocus.com/bid/17744/info

Blog Mod is prone to an SQL-injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before using it in an SQL query. 

A successful exploit could allow an attacker to compromise the application, access or modify data, or exploit vulnerabilities in the underlying database implementation.

http://www.example.com/weblog_posting.php?mode=quote&r=[SQL]&w=1
|参考资料

来源:US-CERT
名称:TA06-164A
链接:http://www.us-cert.gov/cas/techalerts/TA06-164A.html
来源:BID
名称:17744
链接:http://www.securityfocus.com/bid/17744
来源:BUGTRAQ
名称:20060429BlogMod<=0.2.xSQLInjection
链接:http://www.securityfocus.com/archive/1/archive/1/432602/100/0/threaded
来源:XF
名称:blogmod-weblogposting-sql-injection(26198)
链接:http://xforce.iss.net/xforce/xfdb/26198
来源:SREASON
名称:810
链接:http://securityreason.com/securityalert/810